# Clear Data Source

Clear all Business Partners of a data source.

Endpoint: POST /storages/{storageId}/datasources/{dataSourceId}/clear
Version: 5
Security: apiKey

## Security:

  - `apiKey` (unknown)
    apiKey in header X-API-KEY

## Path parameters:

  - `storageId` (string, required)
    Unique identifier of the Storage.

  - `dataSourceId` (string, required)
    Unique identifier for a Data Source of the Storage.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `numberOfDeletes` (integer)
    Number of deleted Business Partners.
    Example: 50

  - `numberOfFailures` (integer)
    Number of failures during deletion.
    Example: 0

  - `failures` (array)
    List of failures.

  - `failures.id` (string)
    Technical identifier of a business partner record, unique within the CDQ.
    Example: 63e635235c06b7396330fe40

  - `failures.dataSource` (string)
    Unique identifier for a Data Source of the Storage.
    Example: 648824a691d8d2503d65103e

  - `failures.externalId` (string)
    Arbitrary identifier type to mark customer IDs that are "external" from CDQ's perspective. This is the identifier a customer provides to identify its records.
    Example: The ID managed in the customer's SAP systems.

  - `failures.message` (string)
    Error message.
    Example: This record could not be stored due to timeout.

  - `numberOfSkipped` (integer)
    Number of requested items skipped during deletion because they didn't match any existing Business Partner.
    Example: 0

  - `skipped` (array)
    List of requested items that were well-formed but didn't match any existing Business Partner.

  - `skipped.status` (object)
    Status explaining why the requested item was skipped.

  - `skipped.status.technicalKey` (string)
    Technical key to uniquely identify a message.
    Example: JOB_FINISHED

  - `skipped.status.message` (string)
    Human-readable message which may also be presented in user interface.
    Example: The job came to an end and finished successfully.

